%global dlrn_nvr validations-libs-1.0.5.dev1-1.20210528061103.4a660ec
%global dlrn 1
%define upstream_version 1.0.5.dev1
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name validations-libs
%global sum A collection of python libraries for the Validation Framework

Name:           python-%{upstream_name}
Summary:        %{sum}
Version: 1.0.5
Release: 1.20210528061104%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/validations-libs
Source0: validations-libs-1.0.5.dev1-1.20210528061103.4a660ec.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=4a660ec9262d0acd9e442c2befa94fe968613171
Patch0001: 0001-Remove-install-unnecessary-packages.patch
Patch0002: 0002-Add-the-documentation-build-back-in-the-CI.patch
Patch0003: 0003-Install-CI-roles-into-ansible-roles-dir.patch
Patch0004: 0004-Add-ansible-dependency.patch
Patch0005: 0005-Add-parameters-values-to-the-validation-show-command.patch
Patch0006: 0006-Fix-show-validation-stats-with-correct-number.patch
Patch0007: 0007-Remove-CI-roles-from-validations-libs.patch
Patch0008: 0008-Detect-unknown-validations-from-the-command-line.patch
Patch0009: 0009-Fix-parameters-management.patch
Patch0010: 0010-Ensure-we-re-using-proper-types-for-validation_name-.patch
Patch0011: 0011-add-Vagrantfile-for-Validation-Framework-dev-work.patch
Patch0012: 0012-Don-t-rely-on-parameter-file-extension-for-downloadi.patch
Patch0013: 0013-Handle-unreachable-case-in-the-log-statistics.patch
Patch0014: 0014-Default-to-current-user-dir-for-log-creation-and-man.patch
Patch0015: 0015-Handle-dynamically-the-ansible-artifacts-dir-path.patch
Patch0016: 0016-Return-absolute-path-for-inventory.patch
Patch0017: 0017-Move-ansible-runner-version-to-1.4.0.patch
Patch0018: 0018-DOWNSTREAM-ONLY-Fix-list_validations-call-from-tripl.patch

BuildArch:      noarch

%description
A collection of python libraries for the Validation Framework

%package -n     python%{pyver}-%{upstream_name}
Summary:        %{sum}
%{?python_provide:%python_provide python%{pyver}-%{upstream_name}}

BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr >= 3.1.1
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-ansible-runner >= 1.2.0

Requires:       python%{pyver}-pbr >= 3.1.1
Requires:       python%{pyver}-six >= 1.11.0
Requires:       python%{pyver}-ansible-runner >= 1.2.0
%if %{pyver} == 2
Requires:       PyYAML
%else
Requires:       python%{pyver}-PyYAML
%endif

%description -n python%{pyver}-%{upstream_name}
A collection of python libraries for the Validation Framework

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

%install
%{pyver_install}

%check
PYTHON=%{pyver_bin} %{pyver_bin} setup.py test

%files -n python%{pyver}-%{upstream_name}
%license LICENSE
%doc README* AUTHORS ChangeLog
%{pyver_sitelib}/validations_libs
%{pyver_sitelib}/validations_libs-*.egg-info
%exclude %{pyver_sitelib}/validations_libs/test*

%changelog
* Tue Aug 03 2021 Cédric Jeanneret <cjeanner@redhat.com> 1.0.5-1.20210528061104
- [DOWNSTREAM-ONLY] Fix list_validations call from tripleo_validator.py (rhbz#1986849)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-1.20210528061103.4a660ec
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-1.20210527125314.4a660ec
- Move ansible-runner version to 1.4.0 (rhbz#1954970)
- Return absolute path for inventory (rhbz#1953552)
- Handle dynamically the ansible artifacts dir path (rhbz#1953552)
- Default to current user dir for log creation and management (rhbz#1895045)
- Handle unreachable case in the log statistics (rhbz#1903606)
- Don't rely on parameter file extension for downloading (rhbz#1887777)
- add Vagrantfile for Validation Framework dev work
- Ensure we're using proper types for validation_name and _id
- Fix parameters management (rhbz#1887777)
- Detect unknown validations from the command-line
- Remove CI roles from validations-libs
- Fix show validation stats with correct number (rhbz#1887722)
- Add parameters values to the validation show command (rhbz#1887710)
- Add ansible dependency
- Install CI roles into ansible roles dir
- Add the documentation build back in the CI
- Remove install unnecessary packages

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-1.20210523160337.4a660ec
- Update patches

* Thu Apr 29 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-1.20210429080935.4a660ec
- Move ansible-runner version to 1.4.0 (rhbz#1954970)

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.5-1.20210428165141.4a660ec
- Return absolute path for inventory (rhbz#1953552)
- Handle dynamically the ansible artifacts dir path (rhbz#1953552)
- Default to current user dir for log creation and management (rhbz#1895045)
- Handle unreachable case in the log statistics (rhbz#1903606)
- Don't rely on parameter file extension for downloading (rhbz#1887777)
- add Vagrantfile for Validation Framework dev work
- Ensure we're using proper types for validation_name and _id
- Fix parameters management (rhbz#1887777)
- [Validator Run] Detect unknown validations from the command-line
- Remove CI roles from validations-libs
- Fix show validation stats with correct number (rhbz#1887722)
- Add parameters values to the validation show command (rhbz#1887710)
- Add ansible dependency
- Install CI roles into ansible roles dir
- Add the documentation build back in the CI
- Remove install unnecessary packages

* Wed Apr 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add basic standalone job w/ validate-services true
- Zuul runs tests in py36 only
- Expose callback_whitelist option to Run action
- Fixes string formatting of the error msg log
- Remove the condition to check the groups.
- Refactor the groups property in Validation class.
- Fix the syntax for groups in documentation.
- Moving doc structure closer to that in validations-commons.
- Return absolute path for inventory
- Add skip list option in order to provide a black list for validation
- Modifies README.rst to reference podman.
- show command now properly uses list of validations
- Docker image refinement and preparation for future development.
- Improved Dockefile and simplified use instructions.
- Add new test for the parse_all_validations_on_disk
- Add an error message when groups is not found in the playbook
- One of the two nested calls of os.path.join was redundant.
- Secondary loop removed. params_only dict now uses update method.
- OrderedDict can be constructed directly from dict instance
- Style adjustment of a constant.
- Removed unnecessary second check.
- Allow to provide different stdout callback to the libs
- Local vars were redefining builtins
- Dockerfile for installing Validation Framework in a CentOS container
- Fix typo in validations_libs/ansible.py
- Move ansible-runner version to 1.4.0
- Handle dynamically the ansible artifacts dir path
- Make the measuring code coverage test working
- The lower constraint file has been removed
- Bump pre-commit-hooks to v3.3.0
- Update TOX_CONSTRAINTS_FILE
- Add Docstrings to validations_libs/ansible.py file
- Add Docstrings to validations_libs/validations_logs.py file
- Add Docstrings to validations_libs/validation_action.py file
- Add Docstrings to validations_libs/group.py file
- Enforce the way we encapsulate a Validation
- Add docstrings to utils.py
- Remove output format test in utils.get_validations_parameters
- Add better conversion of string parameters into a list
- [Validator Run] Detect unknown validations from the command-line

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Default to current user dir for log creation and management (rhbz#1895045)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Handle unreachable case in the log statistics (rhbz#1903606)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Don't rely on parameter file extension for downloading (rhbz#1887777)

* Wed Oct 28 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 1.0.5-1.20200914174430
- add Vagrantfile for Validation Framework dev work
- Ensure we're using proper types for validation_name and _id
- Fix parameters management (rhbz#1887777)
- [Validator Run] Detect unknown validations from the command-line
- Remove CI roles from validations-libs
- Fix show validation stats with correct number (rhbz#1887722)
- Add parameters values to the validation show command (rhbz#1887710)
- Add ansible dependency
- Install CI roles into ansible roles dir
- Add the documentation build back in the CI
- Remove install unnecessary packages

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix lower-constraints errors
- Update validation path with the share/ansible one

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow to set python interper for ansible execution

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add lower ansible-runner version as requirements for train

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a way to override the default validation log path

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch legacy Zuul jobs to native Zuul v3 jobs

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update openstackdocstheme.

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Show history by play and add get status action

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change zuul config for functional CI execution

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove playbook param from run_validation

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add base_dir param to override the constants value easily

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Filter get_all_log_file by extension

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Catch value error when extract log info from log name

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle multiple validation logs results

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add API Documentation structure

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid None value when missing data in ansible log

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix title.
- Raise exception if no validation is found
- Add asynchronous option to validation libs

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the minversion parameter.

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move unit tests execution to stestr

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump default tox env from py37 to py38
- Add py38 package metadata

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests

* Sun Apr 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Format output in json or yaml for validations show param

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use validation_path attribut instead of variables

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Declare playbooks for groups execution
- Expose limit hosts option to the validation run actions

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

